Type to search.

Clone a workflow

Base URL
https://{kibana_url}
  • POST /api/workflows/workflow/{id}/clone
  • POST /s/{space_id}/api/workflows/workflow/{id}/clone
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Create a copy of an existing workflow.

Required privileges

Privileges workflowsManagement:create and workflowsManagement:read. Extended privileges (optional, expand functionality when granted): workflowsManagement:managed:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string · max length: 255 required

Workflow ID

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Response

200

Indicates a successful response

application/json